Upstream information

CVE-2023-47038 at MITRE

Description

A vulnerability was found in perl 5.30.0 through 5.38.0. This issue occurs when a crafted regular expression is compiled by perl, which can allow an attacker controlled byte buffer overflow in a heap allocated buffer.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 4.5
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:L/I:L/A:L
Attack Vector Local Local
Attack Complexity Low High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1217084 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 8
  • perl >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-Algorithm-Diff >= 1.1903-10.module+el8.10.0+21354+3ad137bb
  • perl-Archive-Tar >= 2.38-3.module+el8.10.0+21354+3ad137bb
  • perl-Archive-Zip >= 1.68-3.module+el8.10.0+21354+3ad137bb
  • perl-Attribute-Handlers >= 1.01-473.module+el8.10.0+21354+3ad137bb
  • perl-AutoLoader >= 5.74-473.module+el8.10.0+21354+3ad137bb
  • perl-AutoSplit >= 5.74-473.module+el8.10.0+21354+3ad137bb
  • perl-B >= 1.80-473.module+el8.10.0+21354+3ad137bb
  • perl-Benchmark >= 1.23-473.module+el8.10.0+21354+3ad137bb
  • perl-CPAN >= 2.28-5.module+el8.10.0+21354+3ad137bb
  • perl-CPAN-DistnameInfo >= 0.12-13.module+el8.10.0+21354+3ad137bb
  • perl-CPAN-Meta >= 2.150010-397.module+el8.10.0+21354+3ad137bb
  • perl-CPAN-Meta-Requirements >= 2.140-397.module+el8.10.0+21354+3ad137bb
  • perl-CPAN-Meta-YAML >= 0.018-1001.module+el8.10.0+21354+3ad137bb
  • perl-Carp >= 1.50-439.module+el8.10.0+21354+3ad137bb
  • perl-Class-Struct >= 0.66-473.module+el8.10.0+21354+3ad137bb
  • perl-Compress-Bzip2 >= 2.28-2.module+el8.10.0+21354+3ad137bb
  • perl-Compress-Raw-Bzip2 >= 2.096-1.module+el8.10.0+21354+3ad137bb
  • perl-Compress-Raw-Lzma >= 2.096-1.module+el8.10.0+21354+3ad137bb
  • perl-Compress-Raw-Zlib >= 2.096-2.module+el8.10.0+21354+3ad137bb
  • perl-Config-Extensions >= 0.03-473.module+el8.10.0+21354+3ad137bb
  • perl-Config-Perl-V >= 0.32-441.module+el8.10.0+21354+3ad137bb
  • perl-DBM_Filter >= 0.06-473.module+el8.10.0+21354+3ad137bb
  • perl-DB_File >= 1.855-1.module+el8.10.0+21354+3ad137bb
  • perl-Data-Dumper >= 2.174-440.module+el8.10.0+21354+3ad137bb
  • perl-Data-OptList >= 0.110-7.module+el8.10.0+21354+3ad137bb
  • perl-Data-Section >= 0.200007-8.module+el8.10.0+21354+3ad137bb
  • perl-Devel-PPPort >= 3.62-1.module+el8.10.0+21354+3ad137bb
  • perl-Devel-Peek >= 1.28-473.module+el8.10.0+21354+3ad137bb
  • perl-Devel-SelfStubber >= 1.06-473.module+el8.10.0+21354+3ad137bb
  • perl-Devel-Size >= 0.83-3.module+el8.10.0+21354+3ad137bb
  • perl-Digest >= 1.20-1.module+el8.10.0+21354+3ad137bb
  • perl-Digest-MD5 >= 2.58-1.module+el8.10.0+21354+3ad137bb
  • perl-Digest-SHA >= 6.02-2.module+el8.10.0+21354+3ad137bb
  • perl-DirHandle >= 1.05-473.module+el8.10.0+21354+3ad137bb
  • perl-Dumpvalue >= 2.27-473.module+el8.10.0+21354+3ad137bb
  • perl-DynaLoader >= 1.47-473.module+el8.10.0+21354+3ad137bb
  • perl-Encode >= 3.08-461.module+el8.10.0+21354+3ad137bb
  • perl-Encode-Locale >= 1.05-10.module+el8.10.0+21354+3ad137bb
  • perl-Encode-devel >= 3.08-461.module+el8.10.0+21354+3ad137bb
  • perl-English >= 1.11-473.module+el8.10.0+21354+3ad137bb
  • perl-Env >= 1.04-396.module+el8.10.0+21354+3ad137bb
  • perl-Errno >= 1.30-473.module+el8.10.0+21354+3ad137bb
  • perl-Exporter >= 5.74-458.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-CBuilder >= 0.280236-1.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Command >= 7.46-3.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Constant >= 0.25-473.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Embed >= 1.35-473.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Install >= 2.20-1.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-MM-Utils >= 7.46-3.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-MakeMaker >= 7.46-3.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Manifest >= 1.73-1.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-Miniperl >= 1.09-473.module+el8.10.0+21354+3ad137bb
  • perl-ExtUtils-ParseXS >= 3.40-439.module+el8.10.0+21354+3ad137bb
  • perl-Fcntl >= 1.13-473.module+el8.10.0+21354+3ad137bb
  • perl-Fedora-VSP >= 0.001-10.module+el8.10.0+21354+3ad137bb
  • perl-File-Basename >= 2.85-473.module+el8.10.0+21354+3ad137bb
  • perl-File-Compare >= 1.100.600-473.module+el8.10.0+21354+3ad137bb
  • perl-File-Copy >= 2.34-473.module+el8.10.0+21354+3ad137bb
  • perl-File-DosGlob >= 1.12-473.module+el8.10.0+21354+3ad137bb
  • perl-File-Fetch >= 1.00-1.module+el8.10.0+21354+3ad137bb
  • perl-File-Find >= 1.37-473.module+el8.10.0+21354+3ad137bb
  • perl-File-HomeDir >= 1.004-6.module+el8.10.0+21354+3ad137bb
  • perl-File-Path >= 2.16-439.module+el8.10.0+21354+3ad137bb
  • perl-File-Temp >= 0.231.100-1.module+el8.10.0+21354+3ad137bb
  • perl-File-Which >= 1.23-4.module+el8.10.0+21354+3ad137bb
  • perl-File-stat >= 1.09-473.module+el8.10.0+21354+3ad137bb
  • perl-FileCache >= 1.10-473.module+el8.10.0+21354+3ad137bb
  • perl-FileHandle >= 2.03-473.module+el8.10.0+21354+3ad137bb
  • perl-Filter >= 1.60-1.module+el8.10.0+21354+3ad137bb
  • perl-Filter-Simple >= 0.96-457.module+el8.10.0+21354+3ad137bb
  • perl-FindBin >= 1.51-473.module+el8.10.0+21354+3ad137bb
  • perl-GDBM_File >= 1.18-473.module+el8.10.0+21354+3ad137bb
  • perl-Getopt-Long >= 2.52-1.module+el8.10.0+21354+3ad137bb
  • perl-Getopt-Std >= 1.12-473.module+el8.10.0+21354+3ad137bb
  • perl-HTTP-Tiny >= 0.078-1.module+el8.10.0+21354+3ad137bb
  • perl-Hash-Util >= 0.23-473.module+el8.10.0+21354+3ad137bb
  • perl-Hash-Util-FieldHash >= 1.20-473.module+el8.10.0+21354+3ad137bb
  • perl-I18N-Collate >= 1.02-473.module+el8.10.0+21354+3ad137bb
  • perl-I18N-LangTags >= 0.44-473.module+el8.10.0+21354+3ad137bb
  • perl-I18N-Langinfo >= 0.19-473.module+el8.10.0+21354+3ad137bb
  • perl-IO >= 1.43-473.module+el8.10.0+21354+3ad137bb
  • perl-IO-Compress >= 2.096-1.module+el8.10.0+21354+3ad137bb
  • perl-IO-Compress-Lzma >= 2.096-1.module+el8.10.0+21354+3ad137bb
  • perl-IO-Socket-IP >= 0.41-2.module+el8.10.0+21354+3ad137bb
  • perl-IO-Zlib >= 1.10-473.module+el8.10.0+21354+3ad137bb
  • perl-IPC-Cmd >= 1.04-2.module+el8.10.0+21354+3ad137bb
  • perl-IPC-Open3 >= 1.21-473.module+el8.10.0+21354+3ad137bb
  • perl-IPC-SysV >= 2.09-1.module+el8.10.0+21354+3ad137bb
  • perl-IPC-System-Simple >= 1.30-3.module+el8.10.0+21354+3ad137bb
  • perl-Importer >= 0.025-6.module+el8.10.0+21354+3ad137bb
  • perl-JSON-PP >= 4.04-2.module+el8.10.0+21354+3ad137bb
  • perl-Locale-Maketext >= 1.29-440.module+el8.10.0+21354+3ad137bb
  • perl-Locale-Maketext-Simple >= 0.21-473.module+el8.10.0+21354+3ad137bb
  • perl-MIME-Base64 >= 3.15-1001.module+el8.10.0+21354+3ad137bb
  • perl-MRO-Compat >= 0.13-5.module+el8.10.0+21354+3ad137bb
  • perl-Math-BigInt >= 1.9998.18-1.module+el8.10.0+21354+3ad137bb
  • perl-Math-BigInt-FastCalc >= 0.500.900-1.module+el8.10.0+21354+3ad137bb
  • perl-Math-BigRat >= 0.2614-2.module+el8.10.0+21354+3ad137bb
  • perl-Math-Complex >= 1.59-473.module+el8.10.0+21354+3ad137bb
  • perl-Memoize >= 1.03-473.module+el8.10.0+21354+3ad137bb
  • perl-Module-Build >= 0.42.31-5.module+el8.10.0+21354+3ad137bb
  • perl-Module-CoreList >= 5.20211020-1.module+el8.10.0+21354+3ad137bb
  • perl-Module-CoreList-tools >= 5.20211020-1.module+el8.10.0+21354+3ad137bb
  • perl-Module-Load >= 0.36-1.module+el8.10.0+21354+3ad137bb
  • perl-Module-Load-Conditional >= 0.74-1.module+el8.10.0+21354+3ad137bb
  • perl-Module-Loaded >= 0.08-473.module+el8.10.0+21354+3ad137bb
  • perl-Module-Metadata >= 1.000037-1.module+el8.10.0+21354+3ad137bb
  • perl-NDBM_File >= 1.15-473.module+el8.10.0+21354+3ad137bb
  • perl-NEXT >= 0.67-473.module+el8.10.0+21354+3ad137bb
  • perl-Net >= 1.02-473.module+el8.10.0+21354+3ad137bb
  • perl-Net-Ping >= 2.72-473.module+el8.10.0+21354+3ad137bb
  • perl-ODBM_File >= 1.16-473.module+el8.10.0+21354+3ad137bb
  • perl-Object-HashBase >= 0.009-4.module+el8.10.0+21354+3ad137bb
  • perl-Object-HashBase-tools >= 0.009-4.module+el8.10.0+21354+3ad137bb
  • perl-Opcode >= 1.48-473.module+el8.10.0+21354+3ad137bb
  • perl-POSIX >= 1.94-473.module+el8.10.0+21354+3ad137bb
  • perl-Package-Generator >= 1.106-12.module+el8.10.0+21354+3ad137bb
  • perl-Params-Check >= 0.38-396.module+el8.10.0+21354+3ad137bb
  • perl-Params-Util >= 1.102-2.module+el8.10.0+21354+3ad137bb
  • perl-PathTools >= 3.78-439.module+el8.10.0+21354+3ad137bb
  • perl-Perl-OSType >= 1.010-397.module+el8.10.0+21354+3ad137bb
  • perl-PerlIO-via-QuotedPrint >= 0.09-1.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Checker >= 1.74-1.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Escapes >= 1.07-396.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Functions >= 1.13-473.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Html >= 1.25-473.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Parser >= 1.63-1001.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Perldoc >= 3.28.01-443.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Simple >= 3.42-1.module+el8.10.0+21354+3ad137bb
  • perl-Pod-Usage >= 2.01-1.module+el8.10.0+21354+3ad137bb
  • perl-Safe >= 2.41-473.module+el8.10.0+21354+3ad137bb
  • perl-Scalar-List-Utils >= 1.55-457.module+el8.10.0+21354+3ad137bb
  • perl-Search-Dict >= 1.07-473.module+el8.10.0+21354+3ad137bb
  • perl-SelectSaver >= 1.02-473.module+el8.10.0+21354+3ad137bb
  • perl-SelfLoader >= 1.26-473.module+el8.10.0+21354+3ad137bb
  • perl-Socket >= 2.031-1.module+el8.10.0+21354+3ad137bb
  • perl-Software-License >= 0.103014-5.module+el8.10.0+21354+3ad137bb
  • perl-Storable >= 3.21-457.module+el8.10.0+21354+3ad137bb
  • perl-Sub-Exporter >= 0.987-17.module+el8.10.0+21354+3ad137bb
  • perl-Sub-Install >= 0.928-15.module+el8.10.0+21354+3ad137bb
  • perl-Symbol >= 1.08-473.module+el8.10.0+21354+3ad137bb
  • perl-Sys-Hostname >= 1.23-473.module+el8.10.0+21354+3ad137bb
  • perl-Sys-Syslog >= 0.36-1.module+el8.10.0+21354+3ad137bb
  • perl-Term-ANSIColor >= 5.01-458.module+el8.10.0+21354+3ad137bb
  • perl-Term-Cap >= 1.17-396.module+el8.10.0+21354+3ad137bb
  • perl-Term-Complete >= 1.403-473.module+el8.10.0+21354+3ad137bb
  • perl-Term-ReadLine >= 1.17-473.module+el8.10.0+21354+3ad137bb
  • perl-Term-Table >= 0.015-2.module+el8.10.0+21354+3ad137bb
  • perl-Test >= 1.31-473.module+el8.10.0+21354+3ad137bb
  • perl-Test-Harness >= 3.42-2.module+el8.10.0+21354+3ad137bb
  • perl-Test-Simple >= 1.302181-2.module+el8.10.0+21354+3ad137bb
  • perl-Text-Abbrev >= 1.02-473.module+el8.10.0+21354+3ad137bb
  • perl-Text-Balanced >= 2.04-1.module+el8.10.0+21354+3ad137bb
  • perl-Text-Diff >= 1.45-7.module+el8.10.0+21354+3ad137bb
  • perl-Text-Glob >= 0.11-5.module+el8.10.0+21354+3ad137bb
  • perl-Text-ParseWords >= 3.30-396.module+el8.10.0+21354+3ad137bb
  • perl-Text-Tabs+Wrap >= 2013.0523-396.module+el8.10.0+21354+3ad137bb
  • perl-Text-Template >= 1.58-1.module+el8.10.0+21354+3ad137bb
  • perl-Thread >= 3.05-473.module+el8.10.0+21354+3ad137bb
  • perl-Thread-Queue >= 3.14-457.module+el8.10.0+21354+3ad137bb
  • perl-Thread-Semaphore >= 2.13-473.module+el8.10.0+21354+3ad137bb
  • perl-Tie >= 4.6-473.module+el8.10.0+21354+3ad137bb
  • perl-Tie-File >= 1.06-473.module+el8.10.0+21354+3ad137bb
  • perl-Tie-Memoize >= 1.1-473.module+el8.10.0+21354+3ad137bb
  • perl-Tie-RefHash >= 1.39-473.module+el8.10.0+21354+3ad137bb
  • perl-Time >= 1.03-473.module+el8.10.0+21354+3ad137bb
  • perl-Time-HiRes >= 1.9764-459.module+el8.10.0+21354+3ad137bb
  • perl-Time-Local >= 1.300-4.module+el8.10.0+21354+3ad137bb
  • perl-Time-Piece >= 1.3401-473.module+el8.10.0+21354+3ad137bb
  • perl-URI >= 1.76-5.module+el8.10.0+21354+3ad137bb
  • perl-Unicode-Collate >= 1.29-1.module+el8.10.0+21354+3ad137bb
  • perl-Unicode-Normalize >= 1.27-458.module+el8.10.0+21354+3ad137bb
  • perl-Unicode-UCD >= 0.75-473.module+el8.10.0+21354+3ad137bb
  • perl-User-pwent >= 1.03-473.module+el8.10.0+21354+3ad137bb
  • perl-autodie >= 2.34-1.module+el8.10.0+21354+3ad137bb
  • perl-autouse >= 1.11-473.module+el8.10.0+21354+3ad137bb
  • perl-base >= 2.27-473.module+el8.10.0+21354+3ad137bb
  • perl-bignum >= 0.51-439.module+el8.10.0+21354+3ad137bb
  • perl-blib >= 1.07-473.module+el8.10.0+21354+3ad137bb
  • perl-constant >= 1.33-1001.module+el8.10.0+21354+3ad137bb
  • perl-debugger >= 1.56-473.module+el8.10.0+21354+3ad137bb
  • perl-deprecate >= 0.04-473.module+el8.10.0+21354+3ad137bb
  • perl-devel >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-diagnostics >= 1.37-473.module+el8.10.0+21354+3ad137bb
  • perl-doc >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-encoding >= 3.00-461.module+el8.10.0+21354+3ad137bb
  • perl-encoding-warnings >= 0.13-473.module+el8.10.0+21354+3ad137bb
  • perl-experimental >= 0.025-1.module+el8.10.0+21354+3ad137bb
  • perl-fields >= 2.27-473.module+el8.10.0+21354+3ad137bb
  • perl-filetest >= 1.03-473.module+el8.10.0+21354+3ad137bb
  • perl-generators >= 1.13-1.module+el8.10.0+21354+3ad137bb
  • perl-homedir >= 2.000024-7.module+el8.10.0+21354+3ad137bb
  • perl-if >= 0.60.800-473.module+el8.10.0+21354+3ad137bb
  • perl-inc-latest >= 0.500-10.module+el8.10.0+21354+3ad137bb
  • perl-interpreter >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-less >= 0.03-473.module+el8.10.0+21354+3ad137bb
  • perl-lib >= 0.65-473.module+el8.10.0+21354+3ad137bb
  • perl-libnet >= 3.13-1.module+el8.10.0+21354+3ad137bb
  • perl-libnetcfg >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-libs >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-local-lib >= 2.000024-7.module+el8.10.0+21354+3ad137bb
  • perl-locale >= 1.09-473.module+el8.10.0+21354+3ad137bb
  • perl-macros >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-meta-notation >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-mro >= 1.23-473.module+el8.10.0+21354+3ad137bb
  • perl-open >= 1.12-473.module+el8.10.0+21354+3ad137bb
  • perl-overload >= 1.31-473.module+el8.10.0+21354+3ad137bb
  • perl-overloading >= 0.02-473.module+el8.10.0+21354+3ad137bb
  • perl-parent >= 0.238-457.module+el8.10.0+21354+3ad137bb
  • perl-perlfaq >= 5.20210520-1.module+el8.10.0+21354+3ad137bb
  • perl-ph >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-podlators >= 4.14-457.module+el8.10.0+21354+3ad137bb
  • perl-sigtrap >= 1.09-473.module+el8.10.0+21354+3ad137bb
  • perl-sort >= 2.04-473.module+el8.10.0+21354+3ad137bb
  • perl-subs >= 1.03-473.module+el8.10.0+21354+3ad137bb
  • perl-threads >= 2.25-457.module+el8.10.0+21354+3ad137bb
  • perl-threads-shared >= 1.61-457.module+el8.10.0+21354+3ad137bb
  • perl-utils >= 5.32.1-473.module+el8.10.0+21354+3ad137bb
  • perl-vars >= 1.05-473.module+el8.10.0+21354+3ad137bb
  • perl-version >= 0.99.29-1.module+el8.10.0+21354+3ad137bb
  • perl-vmsish >= 1.04-473.module+el8.10.0+21354+3ad137bb
Patchnames:
RHSA-2024:3128
SUSE Liberty Linux 9
  • perl >= 5.32.1-481.el9
  • perl-Attribute-Handlers >= 1.01-481.el9
  • perl-AutoLoader >= 5.74-481.el9
  • perl-AutoSplit >= 5.74-481.el9
  • perl-B >= 1.80-481.el9
  • perl-Benchmark >= 1.23-481.el9
  • perl-Class-Struct >= 0.66-481.el9
  • perl-Config-Extensions >= 0.03-481.el9
  • perl-DBM_Filter >= 0.06-481.el9
  • perl-Devel-Peek >= 1.28-481.el9
  • perl-Devel-SelfStubber >= 1.06-481.el9
  • perl-DirHandle >= 1.05-481.el9
  • perl-Dumpvalue >= 2.27-481.el9
  • perl-DynaLoader >= 1.47-481.el9
  • perl-English >= 1.11-481.el9
  • perl-Errno >= 1.30-481.el9
  • perl-ExtUtils-Constant >= 0.25-481.el9
  • perl-ExtUtils-Embed >= 1.35-481.el9
  • perl-ExtUtils-Miniperl >= 1.09-481.el9
  • perl-Fcntl >= 1.13-481.el9
  • perl-File-Basename >= 2.85-481.el9
  • perl-File-Compare >= 1.100.600-481.el9
  • perl-File-Copy >= 2.34-481.el9
  • perl-File-DosGlob >= 1.12-481.el9
  • perl-File-Find >= 1.37-481.el9
  • perl-File-stat >= 1.09-481.el9
  • perl-FileCache >= 1.10-481.el9
  • perl-FileHandle >= 2.03-481.el9
  • perl-FindBin >= 1.51-481.el9
  • perl-GDBM_File >= 1.18-481.el9
  • perl-Getopt-Std >= 1.12-481.el9
  • perl-Hash-Util >= 0.23-481.el9
  • perl-Hash-Util-FieldHash >= 1.20-481.el9
  • perl-I18N-Collate >= 1.02-481.el9
  • perl-I18N-LangTags >= 0.44-481.el9
  • perl-I18N-Langinfo >= 0.19-481.el9
  • perl-IO >= 1.43-481.el9
  • perl-IPC-Open3 >= 1.21-481.el9
  • perl-Locale-Maketext-Simple >= 0.21-481.el9
  • perl-Math-Complex >= 1.59-481.el9
  • perl-Memoize >= 1.03-481.el9
  • perl-Module-Loaded >= 0.08-481.el9
  • perl-NDBM_File >= 1.15-481.el9
  • perl-NEXT >= 0.67-481.el9
  • perl-Net >= 1.02-481.el9
  • perl-ODBM_File >= 1.16-481.el9
  • perl-Opcode >= 1.48-481.el9
  • perl-POSIX >= 1.94-481.el9
  • perl-Pod-Functions >= 1.13-481.el9
  • perl-Pod-Html >= 1.25-481.el9
  • perl-Safe >= 2.41-481.el9
  • perl-Search-Dict >= 1.07-481.el9
  • perl-SelectSaver >= 1.02-481.el9
  • perl-SelfLoader >= 1.26-481.el9
  • perl-Symbol >= 1.08-481.el9
  • perl-Sys-Hostname >= 1.23-481.el9
  • perl-Term-Complete >= 1.403-481.el9
  • perl-Term-ReadLine >= 1.17-481.el9
  • perl-Test >= 1.31-481.el9
  • perl-Text-Abbrev >= 1.02-481.el9
  • perl-Thread >= 3.05-481.el9
  • perl-Thread-Semaphore >= 2.13-481.el9
  • perl-Tie >= 4.6-481.el9
  • perl-Tie-File >= 1.06-481.el9
  • perl-Tie-Memoize >= 1.1-481.el9
  • perl-Time >= 1.03-481.el9
  • perl-Time-Piece >= 1.3401-481.el9
  • perl-Unicode-UCD >= 0.75-481.el9
  • perl-User-pwent >= 1.03-481.el9
  • perl-autouse >= 1.11-481.el9
  • perl-base >= 2.27-481.el9
  • perl-blib >= 1.07-481.el9
  • perl-debugger >= 1.56-481.el9
  • perl-deprecate >= 0.04-481.el9
  • perl-devel >= 5.32.1-481.el9
  • perl-diagnostics >= 1.37-481.el9
  • perl-doc >= 5.32.1-481.el9
  • perl-encoding-warnings >= 0.13-481.el9
  • perl-fields >= 2.27-481.el9
  • perl-filetest >= 1.03-481.el9
  • perl-if >= 0.60.800-481.el9
  • perl-interpreter >= 5.32.1-481.el9
  • perl-less >= 0.03-481.el9
  • perl-lib >= 0.65-481.el9
  • perl-libnetcfg >= 5.32.1-481.el9
  • perl-libs >= 5.32.1-481.el9
  • perl-locale >= 1.09-481.el9
  • perl-macros >= 5.32.1-481.el9
  • perl-meta-notation >= 5.32.1-481.el9
  • perl-mro >= 1.23-481.el9
  • perl-open >= 1.12-481.el9
  • perl-overload >= 1.31-481.el9
  • perl-overloading >= 0.02-481.el9
  • perl-ph >= 5.32.1-481.el9
  • perl-sigtrap >= 1.09-481.el9
  • perl-sort >= 2.04-481.el9
  • perl-subs >= 1.03-481.el9
  • perl-utils >= 5.32.1-481.el9
  • perl-vars >= 1.05-481.el9
  • perl-vmsish >= 1.04-481.el9
Patchnames:
RHSA-2024:2228
SUSE Linux Enterprise Micro 6.0
  • perl >= 5.38.2-1.52
  • perl-base >= 5.38.2-1.52
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA perl-5.38.2-1.52
openSUSE Tumbleweed
  • perl >= 5.38.2-1.1
  • perl-32bit >= 5.38.2-1.1
  • perl-base >= 5.38.2-1.1
  • perl-base-32bit >= 5.38.2-1.1
  • perl-doc >= 5.38.2-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13479


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SLES15-SP5-CHOST-BYOS-Aliyun perl Not affected
SLES15-SP5-CHOST-BYOS-Azure perl Not affected
SLES15-SP5-CHOST-BYOS-EC2 perl Not affected
SLES15-SP5-CHOST-BYOS-GCE perl Not affected
SLES15-SP5-CHOST-BYOS-SAP-CCloud perl Not affected
SUSE Enterprise Storage 7.1 perl Not affected
SUSE Linux Enterprise Desktop 15 SP5 perl Not affected
SUSE Linux Enterprise Desktop 15 SP6 perl Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 perl Not affected
SUSE Linux Enterprise Micro 5.1 perl Not affected
SUSE Linux Enterprise Micro 5.2 perl Not affected
SUSE Linux Enterprise Micro 5.3 perl Not affected
SUSE Linux Enterprise Micro 5.4 perl Not affected
SUSE Linux Enterprise Micro 5.5 perl Not affected
SUSE Linux Enterprise Micro 6.0 perl Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP6 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP6 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP6 perl Not affected
SUSE Linux Enterprise Server 12 SP5 perl Not affected
SUSE Linux Enterprise Server 15 SP5 perl Not affected
SUSE Linux Enterprise Server 15 SP6 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 perl Not affected
SUSE Manager Proxy 4.3 perl Not affected
SUSE Manager Retail Branch Server 4.3 perl Not affected
SUSE Manager Server 4.3 perl Not affected
openSUSE Leap 15.5 perl Not affected
openSUSE Leap 15.6 perl Not affected
openSUSE Leap Micro 5.5 perl Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SLES15-EC2-CHOST-HVM-BYOS perl Not affected
SLES15-SP1-CHOST-BYOS-Azure perl Not affected
SLES15-SP1-CHOST-BYOS-EC2 perl Not affected
SLES15-SP1-CHOST-BYOS-GCE perl Not affected
SLES15-SP2-CHOST-BYOS-Aliyun perl Not affected
SLES15-SP2-CHOST-BYOS-Azure perl Not affected
SLES15-SP2-CHOST-BYOS-EC2 perl Not affected
SLES15-SP2-CHOST-BYOS-GCE perl Not affected
SLES15-SP3-CHOST-BYOS-Aliyun perl Not affected
SLES15-SP3-CHOST-BYOS-Azure perl Not affected
SLES15-SP3-CHOST-BYOS-EC2 perl Not affected
SLES15-SP3-CHOST-BYOS-GCE perl Not affected
SLES15-SP3-CHOST-BYOS-SAP-CCloud perl Not affected
SLES15-SP4-CHOST-BYOS perl Not affected
SLES15-SP4-CHOST-BYOS-Aliyun perl Not affected
SLES15-SP4-CHOST-BYOS-Azure perl Not affected
SLES15-SP4-CHOST-BYOS-EC2 perl Not affected
SLES15-SP4-CHOST-BYOS-GCE perl Not affected
SLES15-SP4-CHOST-BYOS-SAP-CCloud perl Not affected
SUSE Linux Enterprise Desktop 15 SP4 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 perl Not affected
SUSE Linux Enterprise Server 15 SP2 perl Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS perl Not affected
SUSE Linux Enterprise Server 15 SP3 perl Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS perl Not affected
SUSE Linux Enterprise Server 15 SP4 perl Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 perl Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 perl Not affected
SUSE CaaS Platform 3.0 perl Not affected
SUSE CaaS Platform 4.0 perl Not affected
SUSE Enterprise Storage 6 perl Not affected
SUSE Enterprise Storage 7 perl Not affected
SUSE Linux Enterprise Desktop 11 SP3 perl Not affected
SUSE Linux Enterprise Desktop 11 SP4 perl Not affected
SUSE Linux Enterprise Desktop 12 perl Not affected
SUSE Linux Enterprise Desktop 12 SP1 perl Not affected
SUSE Linux Enterprise Desktop 12 SP2 perl Not affected
SUSE Linux Enterprise Desktop 12 SP3 perl Not affected
SUSE Linux Enterprise Desktop 12 SP4 perl Not affected
SUSE Linux Enterprise Desktop 15 perl Not affected
SUSE Linux Enterprise Desktop 15 SP1 perl Not affected
SUSE Linux Enterprise Desktop 15 SP2 perl Not affected
SUSE Linux Enterprise Desktop 15 SP3 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS perl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS perl Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS perl Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS perl Not affected
SUSE Linux Enterprise Micro 5.0 perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 perl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 perl Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 perl Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 perl Not affected
SUSE Linux Enterprise Point of Sale 11 SP3 perl Not affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT perl Not affected
SUSE Linux Enterprise Real Time 15 SP2 perl Not affected
SUSE Linux Enterprise Real Time 15 SP3 perl Not affected
SUSE Linux Enterprise Real Time 15 SP4 perl Not affected
SUSE Linux Enterprise Server 11 SP3 perl Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS perl Not affected
SUSE Linux Enterprise Server 11 SP4 perl Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS perl Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS perl Not affected
SUSE Linux Enterprise Server 12 perl Not affected
SUSE Linux Enterprise Server 12 SP1 perl Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS perl Not affected
SUSE Linux Enterprise Server 12 SP2 perl Not affected
SUSE Linux Enterprise Server 12 SP2-BCL perl Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS perl Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS perl Not affected
SUSE Linux Enterprise Server 12 SP3 perl Not affected
SUSE Linux Enterprise Server 12 SP3-BCL perl Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS perl Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS perl Not affected
SUSE Linux Enterprise Server 12 SP4 perl Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS perl Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS perl Not affected
SUSE Linux Enterprise Server 12-LTSS perl Not affected
SUSE Linux Enterprise Server 15 perl Not affected
SUSE Linux Enterprise Server 15 SP1 perl Not affected
SUSE Linux Enterprise Server 15 SP1-BCL perl Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS perl Not affected
SUSE Linux Enterprise Server 15 SP2-BCL perl Not affected
SUSE Linux Enterprise Server 15 SP3-BCL perl Not affected
SUSE Linux Enterprise Server 15-LTSS perl Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 perl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 perl Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 perl Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 perl Not affected
SUSE Manager Proxy 4.0 perl Not affected
SUSE Manager Proxy 4.1 perl Not affected
SUSE Manager Proxy 4.2 perl Not affected
SUSE Manager Retail Branch Server 4.0 perl Not affected
SUSE Manager Retail Branch Server 4.1 perl Not affected
SUSE Manager Retail Branch Server 4.2 perl Not affected
SUSE Manager Server 4.0 perl Not affected
SUSE Manager Server 4.1 perl Not affected
SUSE Manager Server 4.2 perl Not affected
SUSE OpenStack Cloud 7 perl Not affected
SUSE OpenStack Cloud 8 perl Not affected
SUSE OpenStack Cloud 9 perl Not affected
SUSE OpenStack Cloud Crowbar 8 perl Not affected
SUSE OpenStack Cloud Crowbar 9 perl Not affected
openSUSE Leap 15.3 perl Not affected
openSUSE Leap 15.4 perl Not affected
openSUSE Leap Micro 5.2 perl Not affected
openSUSE Leap Micro 5.3 perl Not affected
openSUSE Leap Micro 5.4 perl Not affected
Products at an unknown state of their lifecycle.
SLES15-SP6-CHOST-BYOS perl Not affected
SLES15-SP6-CHOST-BYOS-Aliyun perl Not affected
SLES15-SP6-CHOST-BYOS-Azure perl Not affected
SLES15-SP6-CHOST-BYOS-EC2 perl Not affected
SLES15-SP6-CHOST-BYOS-GCE perl Not affected
Container Status
bci/dotnet-aspnet:5.0
bci/dotnet-runtime:5.0
bci/dotnet-sdk:5.0
bci/spack
ses/7.1/ceph/haproxy
ses/7.1/ceph/keepalived
suse/manager/5.0/x86_64/server
suse/manager/5.0/x86_64/server-migration-14-16
suse/nginx
suse/pcp
suse/pcp:5
suse/registry
suse/rmt-mariadb
suse/rmt-nginx
suse/sle-micro/5.0/toolbox
suse/sle-micro/5.1/toolbox
suse/sle-micro/5.2/toolbox
suse/sle-micro/5.3/toolbox
suse/sle-micro/5.4/toolbox
suse/sle-micro/5.5
suse/sle-micro/5.5/toolbox
suse/sle-micro/rt-5.5
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.4/libguestfs-tools:0.49.0
suse/sles/15.4/virt-launcher:0.49.0
suse/sles/15.6/libguestfs-tools:1.1.1
perlNot affected


SUSE Timeline for this CVE

CVE page created: Mon Nov 13 14:50:58 2023
CVE page last modified: Fri Jul 19 11:48:59 2024